import disnake
import os
import requests
import sqlite3
from bookclub import Bookclub
import rare_hunter

from dotenv import load_dotenv
from disnake.ext import commands,tasks

from rare_hunter import Rare_Hunter

load_dotenv('.env')

intents = disnake.Intents().all()
bot = commands.InteractionBot(
    command_sync_flags=commands.CommandSyncFlags.all(),
    intents=intents
)
@bot.event
async  def on_ready():
    print('Logged In')


bot.add_cog(Rare_Hunter(bot))
bot.add_cog(Bookclub(bot))
bot.run(os.getenv('TOKEN'))